ompi/mca/coll/sm/coll_sm_module.c File Reference.TH "ompi/mca/coll/sm/coll_sm_module.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/coll/sm/coll_sm_module.c \- Warning: this is not for the faint of heart -- don't even bother reading this source code if you don't have a strong understanding of nested data structures and pointer math (remember that associativity and order of C operations is *critical* in terms of pointer math!). 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <sys/types.h>\fP
.br
\fC#include <sys/mman.h>\fP
.br
\fC#include <unistd.h>\fP
.br
\fC#include 'mpi.h'\fP
.br
\fC#include 'opal/mca/maffinity/maffinity.h'\fP
.br
\fC#include 'opal/mca/maffinity/base/base.h'\fP
.br
\fC#include 'orte/mca/ns/ns.h'\fP
.br
\fC#include 'ompi/communicator/communicator.h'\fP
.br
\fC#include 'ompi/mca/coll/coll.h'\fP
.br
\fC#include 'ompi/mca/coll/base/base.h'\fP
.br
\fC#include 'ompi/mca/mpool/mpool.h'\fP
.br
\fC#include 'ompi/mca/mpool/base/base.h'\fP
.br
\fC#include 'ompi/proc/proc.h'\fP
.br
\fC#include 'coll_sm.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "static const struct mca_coll_base_module_1_0_0_t * \fBsm_module_init\fP (struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "static int \fBsm_module_finalize\fP (struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "static bool \fBhave_local_peers\fP (ompi_proc_t **procs, size_t size)"
.br
.ti -1c
.RI "static int \fBbootstrap_init\fP (void)"
.br
.ti -1c
.RI "static int \fBbootstrap_comm\fP (ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_coll_sm_init_query\fP (bool enable_progress_threads, bool enable_mpi_threads)"
.br
.ti -1c
.RI "const mca_coll_base_module_1_0_0_t * \fBmca_coll_sm_comm_query\fP (struct ompi_communicator_t *comm, int *priority, struct \fBmca_coll_base_comm_t\fP **data)"
.br
.ti -1c
.RI "int \fBmca_coll_sm_comm_unquery\fP (struct ompi_communicator_t *comm, struct \fBmca_coll_base_comm_t\fP *data)"
.br
.ti -1c
.RI "int \fBmca_coll_sm_bootstrap_finalize\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "uint32_t \fBmca_coll_sm_iov_size\fP = 1"
.br
.RI "\fIGlobal variables used in the macros (essentially constants, so these are thread safe). \fP"
.ti -1c
.RI "int32_t \fBmca_coll_sm_bogus_free_after\fP = 0"
.br
.ti -1c
.RI "static bool \fBbootstrap_inited\fP = false"
.br
.ti -1c
.RI "static const mca_coll_base_module_1_0_0_t \fBmodule\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Warning: this is not for the faint of heart -- don't even bother reading this source code if you don't have a strong understanding of nested data structures and pointer math (remember that associativity and order of C operations is *critical* in terms of pointer math!). 


.SH "Variable Documentation"
.PP 
.SS "const mca_coll_base_module_1_0_0_t module\fC [static]\fP"
.PP
\fBInitial value:\fP
.PP
.nf
 {

    

    sm_module_init,
    sm_module_finalize,

    

    NULL,
    NULL,
    mca_coll_sm_allreduce_intra,
    NULL,
    NULL,
    NULL,
    mca_coll_sm_barrier_intra,
    mca_coll_sm_bcast_intra,
    NULL,
    NULL,
    NULL,
    mca_coll_sm_reduce_intra,
    NULL,
    NULL,
    NULL,
    NULL
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
